package com.its.pis.process;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class WorkDataAsyncTask {


    @Async("workDataExecutor")
    public void run(WorkDataProcess process, WorkData data) {
        process.runJob(data);
    }

}
